
eTB Manager - Bug #1014

New lay-out on search for new notification page

12/26/2013 06:30 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 12/26/2013

Priority: Normal Due date:  

Assignee: Ricardo Memoria % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Version 2.1 Spent time: 0.00 hour

Component: Case Management   

Description

See figure attached:

- Change the label "Select a patient" by "Select a patient to be notified";

- Correct spelling of the word "bellow" by "below";

- Delete the word "name" of "Patient name" (because this column can include the name and number as well);

- Remove the column "Registration number";

- Include information on the column "Latest case", as follow: Notification health unit; Province-District (Patient address)

History

#1 - 12/27/2013 08:42 AM - Ricardo Memoria

- Status changed from New to In Progress

#2 - 12/27/2013 09:11 AM - Ricardo Memoria

- Status changed from In Progress to Resolved

Available in dev environment for testing

#3 - 12/27/2013 09:12 AM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

#4 - 12/27/2013 05:02 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.

#5 - 12/27/2013 06:02 PM - Luis Gustavo do Valle Bastos

- File New patient missing.JPG added

- Status changed from Closed to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Ricardo Memoria

It is working properly when some records are found, but when no record is found, the system doesn't display the "New patient" radio button to

follow-on the notification.

See figure attached.

#6 - 12/30/2013 11:21 AM - Ricardo Memoria

- Status changed from Feedback to Resolved

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos
- % Done changed from 0 to 100

Fixed... Available in dev server for testing

#7 - 12/30/2013 04:15 PM - Luis Gustavo do Valle Bastos

- File New notif issue.JPG added

- File New notif issue 2.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Ricardo Memoria

- Remove the message "Patient was not found in the list below" when the patient was not found on the data base. See figure "New notif issue"

attached.

- Display the number associated with the patient according to the selection for "Display case number" at the settings of the administration module.

See figure "New notif issue 2" attached.

#8 - 12/30/2013 05:23 PM - Luis Gustavo do Valle Bastos

In the situation where patients have two cases, the first validated and the second (more recent) not validated, system displays the validated case in

the list. But, should display the latest one, regardless the validation status.

See patient "Test Dec 30" at MSH Demo as an example.

#9 - 12/30/2013 05:51 PM - Luis Gustavo do Valle Bastos

- Component set to Case Management

In a similar situation as above, when there are two cases for the same patient, the first not validated and the second (more recent) validated, and the

second case is deleted: in the general Case search results page the system displays the first case (not validated) correctly, but for the search before

making new notification page the system displays the first case (not validated) with the number assigned for the other case already deleted.

See patient "Test Gustavo" at MSH demo as an example.

#10 - 01/03/2014 08:31 AM - Ricardo Memoria

Fixed... Check in dev

#11 - 01/03/2014 08:32 AM - Ricardo Memoria

- Status changed from Feedback to Resolved

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

#12 - 01/07/2014 03:07 PM - Luis Gustavo do Valle Bastos

- File Issue new notif 1.JPG added

- File Issue new notif 2.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Ricardo Memoria

Incorrect words "true" and "false" displayed beside the label "New patient".
See figures "Issue new notif 1" and "Issue new notif 2" attached.

#13 - 09/16/2014 09:46 PM - Maurício Dos Santos

- Status changed from Feedback to Resolved

#14 - 09/24/2016 08:20 PM - Ricardo Memoria

- Status changed from Resolved to Closed

Files

Search for notification issues.JPG 76.8 KB 12/26/2013 Luis Gustavo do Valle Bastos

New patient missing.JPG 56.4 KB 12/27/2013 Luis Gustavo do Valle Bastos

New notif issue.JPG 38.9 KB 12/30/2013 Luis Gustavo do Valle Bastos

New notif issue 2.JPG 83.1 KB 12/30/2013 Luis Gustavo do Valle Bastos

Issue new notif 1.JPG 86.6 KB 01/07/2014 Luis Gustavo do Valle Bastos

Issue new notif 2.JPG 38.5 KB 01/07/2014 Luis Gustavo do Valle Bastos
